Bug 699785 - Providing Native systemd service file for IPA
Providing Native systemd service file for IPA
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: freeipa (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Alexander Bokovoy
Fedora Extras Quality Assurance
:
Depends On: 699809 739201 739708 740393
Blocks: SysVtoSystemd
  Show dependency treegraph
 
Reported: 2011-04-26 11:48 EDT by Jóhann B. Guðmundsson
Modified: 2011-10-24 23:38 EDT (History)
4 users (show)

See Also:
Fixed In Version: 389-ds-base-1.2.10-0.4.a4.fc16
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2011-10-24 23:38:11 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
native systemd service files for ipa (224 bytes, text/plain)
2011-04-26 11:48 EDT, Jóhann B. Guðmundsson
no flags Details
Native systemd service file ipa-kpasswd.service (231 bytes, text/plain)
2011-07-13 08:20 EDT, Jóhann B. Guðmundsson
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
FedoraHosted FreeIPA 1192 None None None Never

  None (edit)
Description Jóhann B. Guðmundsson 2011-04-26 11:48:18 EDT
Created attachment 494964 [details]
native systemd service files for ipa

Description of problem:

Let's start with this one.. 

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Jóhann B. Guðmundsson 2011-04-26 11:51:57 EDT
copy that file into /lib/systemd/system directory on a working ipa server on F15 

then run 

systemctl daemon-reload 

systemct start/stop/restart/enable/disable ipa.service 

I dont have time to setup of a full working environment but from the looks of it it calls the ipa cli correctly so if something needs to be fixed than it is the python code that get called
Comment 2 Dmitri Pal 2011-04-26 12:50:03 EDT
It is not that simple as we already explained on IRC. At this stage of Fedora we prefer the systemd compat mode to be fixed before F15 is released.
We are going to file bugs with our findings.

Most likely this issue would not be addressed until F16.
Comment 3 Dmitri Pal 2011-04-26 12:50:27 EDT
https://fedorahosted.org/freeipa/ticket/1192
Comment 4 Bill Nottingham 2011-04-26 13:35:54 EDT
Moving systemd service RFEs to rawhide.

At this point, it is not appropriate in the Fedora 15 cycle to add these. Furthermore, at this point, we are still finalizing the packaging guidelines to handle SysV -> systemd upgrades.

We therefore request:
- wait until there are packaging guidelines (this will be announced on the devel list). This ensures that upgrades will work smoothly and we/you won't have to do multiple sets of changes.
- work on these sorts of changes for Fedora 16 where necessary, not Fedora 15, as we're trying to fix things for release.
- do *not* change a service from SysV to systemd in an existing release (such as Fedora 15), as this is the sort of behavior change that goes against our update policy, documented as https://fedoraproject.org/wiki/Updates_Policy
Comment 5 Jóhann B. Guðmundsson 2011-07-13 08:20:38 EDT
Created attachment 512653 [details]
Native systemd service file ipa-kpasswd.service

Hum for some reason I had only supplied one service instead of two well here's the other one.. 

https://fedoraproject.org/wiki/Packaging:Guidelines:Systemd
https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd
https://fedoraproject.org/wiki/Packaging:Tmpfiles.d
Comment 6 Alexander Bokovoy 2011-09-01 11:34:33 EDT
Re-assign to myself. Once upstream work on https://fedorahosted.org/freeipa/ticket/1605 lands in ipa-2-1, we'll do systemd integration.
Comment 7 Alexander Bokovoy 2011-09-20 12:33:25 EDT
Turn bug status into reality (I'm working on it for last week already).
Comment 8 Alexander Bokovoy 2011-09-20 12:36:45 EDT
Add currently found dependencies
Comment 9 Alexander Bokovoy 2011-10-19 10:34:26 EDT
Fixed in 2.1.3-4.fc16
Comment 10 Fedora Update System 2011-10-19 11:24:27 EDT
389-ds-base-1.2.10-0.4.a4.fc16,sssd-1.6.2-2.fc16,freeipa-2.1.3-4.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/389-ds-base-1.2.10-0.4.a4.fc16,sssd-1.6.2-2.fc16,freeipa-2.1.3-4.fc16
Comment 11 Fedora Update System 2011-10-19 22:23:38 EDT
Package 389-ds-base-1.2.10-0.4.a4.fc16, sssd-1.6.2-2.fc16, freeipa-2.1.3-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing 389-ds-base-1.2.10-0.4.a4.fc16 sssd-1.6.2-2.fc16 freeipa-2.1.3-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14614
then log in and leave karma (feedback).
Comment 12 Fedora Update System 2011-10-21 20:12:31 EDT
Package 389-ds-base-1.2.10-0.4.a4.fc16, freeipa-2.1.3-4.fc16, sssd-1.6.2-3.fc16, selinux-policy-3.10.0-46.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing 389-ds-base-1.2.10-0.4.a4.fc16 freeipa-2.1.3-4.fc16 sssd-1.6.2-3.fc16 selinux-policy-3.10.0-46.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14614
then log in and leave karma (feedback).
Comment 13 Fedora Update System 2011-10-24 00:00:10 EDT
Package 389-ds-base-1.2.10-0.4.a4.fc16, freeipa-2.1.3-4.fc16, selinux-policy-3.10.0-46.fc16, sssd-1.6.2-4.fc16:
* should fix your issue,
* was pushed to the Fedora 16 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing 389-ds-base-1.2.10-0.4.a4.fc16 freeipa-2.1.3-4.fc16 selinux-policy-3.10.0-46.fc16 sssd-1.6.2-4.fc16'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2011-14614
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2011-10-24 23:38:11 EDT
389-ds-base-1.2.10-0.4.a4.fc16, freeipa-2.1.3-4.fc16, selinux-policy-3.10.0-46.fc16, sssd-1.6.2-4.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.